> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a rule's runs

> Returns the rule's runs, most recent first.



## OpenAPI

````yaml GET /projects/{project_id}/rules/{rule_id}/runs
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/rules/{rule_id}/runs:
    get:
      summary: List a rule's runs
      description: Returns the rule's runs, most recent first.
      operationId: list-rule-runs
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project friendly ID (e.g. `prj_AbCd1234567890Ef`).
          schema:
            type: string
        - name: rule_id
          in: path
          required: true
          description: Rule friendly ID.
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 20
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: rrun_AbCd1234567890Ef
                        rule_id: rule_AbCd1234567890Ef
                        state: running
                        phase: evaluating
                        trigger: on_demand
                        range_start: '2026-07-01T00:00:00Z'
                        range_end: '2026-07-31T23:59:59Z'
                        started_at: '2026-08-28T14:22:06Z'
                        finished_at: null
                        last_evaluated_at: '2026-08-28T14:22:31Z'
                        targets_total: 1450
                        targets_processed: 600
                        passed_count: 580
                        alerted_count: 20
                        results_changed_count: 12
                        newly_alerted_count: 9
                        newly_cleared_count: 3
                        reversible: false
                        non_reversible_reason: A run cannot be reversed while it is still evaluating
                        reversal_summary: null
                        triggered_by: Sam Okonkwo
                        error_message: null
                    info:
                      items: 1
                      page_size: 20
                      total_items: 1
                      current_page: 1
                      total_pages: 1
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````